smuxi-frontend-stfl(1)

NAME
smuxi-frontend-stfl - terminal frontend for Smuxi chat client

SYNOPSIS
smuxi-frontend-stfl [-dlh] [-e engine]

DESCRIPTION
smuxi-frontend-stfl is a terminal frontend for the Smuxi chat client, powered by the STFL library. It can operate standalone or attached to a remote Smuxi engine.

The options are as follows:

-d, --debug
    Turn on debugging. Debug logs are sent to $XDG_DATA_HOME/smuxi/smuxi-frontend-stfl.log , and older logs are moved to the date of usage.

-h, --help
    Show the arguments Smuxi takes.

-l, --list
    List the available engines Smuxi can connect to.

-e engine, --engine=engine
    Connect to a remote engine.

KEY BINDINGS
The keyboards are similar to that of irssi and similar clients. Note that some terminal control characters (like C-c, C-z, etc) are not intercepted. Common line editing keys that work in graphical applications will also work. In the following examples, C-x means Control-x.

Tab complete nickname
PageUp
    move up the scrollback
PageDown
    move down the scrollback
C-p, C-PageUp
    previous window
C-n, C-PageDown
    next window
C-Left
    jump to the previous word
C-Right
    jump to the next word
C-w delete word
C-c non-graceful exit

SMUXI COMMANDS
Like most IRC clients, Smuxi uses commands prefixed with "/", and most use the same commands, also including its own set of commands for the client and engine. In the following examples, the "/" prefix is not included.

exit
    Exit the Smuxi frontend gracefully.

window close
    Closes the current window.

window number
    Goes to the window with that number.

connect protocol protocol-parameters
    Connects to the server with the given protocol.

connect network
    Connects to the preset network.

disconnect server
    Disconnects from server. If no parameter is passed, then the server associated with the current window will be disconnected.

config list
    Lists the configuration options.

config get key
    Get the configuration key's value.

config set key=value
    Set the configuration key's value.

shutdown
    Shuts down the current engine.

FILES
$XDG_DATA_HOME/smuxi/share/smuxi-frontend-stfl.log
    smuxi debug log
$XDG_CONFIG_HOME/smuxi/smuxi-engine.ini
    smuxi local engine config
$XDG_CONFIG_HOME/smuxi/smuxi-frontend.ini
    smuxi frontend configuration and remote engine list

SEE ALSO
smuxi-frontend-gnome(1), smuxi-server(1), smuxi-message-buffer(1)

Website: http://smuxi.im

AUTHOR/CREDITS
Smuxi, including this frontend, was written by Mirco Bauer. Contributions to this frontend were also made by Ondřej Hošek and Andrius Bentkus.

This manpage was written by Calvin Buckley.